
Name:           bemacs
Version:        8.8.0
Release:        1%{?dist}
Summary:        Barry's Emacs

License:        ASL 2.0
URL:            http://barrys-emacs.org/
Source0:        http://barrys-emacs.org/source_kits/%{name}-%{version}.tar.gz
Source1: sqlite-amalgamation-3280000.zip
Source2: xml-preferences-1.1.4.tar.gz
Source3: pycxx-7.1.5.tar.gz

Requires: bemacs-cli = %{version}-%{release}
Requires: bemacs-gui = %{version}-%{release}
Requires: python36

BuildRequires: gcc-c++
BuildRequires: python36
BuildRequires: python36-devel
BuildRequires: python36-qt5
BuildRequires: unzip

%prep
# unpack Source0
%setup

mkdir -p Imports/sqlite
unzip -j "%_sourcedir/sqlite-amalgamation-3280000.zip" -d Imports/sqlite

gunzip -c "%_sourcedir/pycxx-7.1.5.tar.gz" | tar xf - -C Imports

gunzip -c "%_sourcedir/xml-preferences-1.1.4.tar.gz" | tar xf - -C Imports
# make build_bemacs code happy
ln -s $PWD/Imports/xml-preferences-*/Source/xml_preferences Builder
# make PyQtBEmacs code happy
ln -s $PWD/Imports/xml-preferences-*/Source/xml_preferences Editor/PyQtBEmacs

%build
true

%install
echo Info: Install PWD $( pwd )

export BUILDER_TOP_DIR=$( pwd )
export PYTHON=/usr/bin/python3

cd ${BUILDER_TOP_DIR}/Builder
export DESTDIR=%{buildroot}
/usr/bin/python3 build_bemacs.py gui --no-hunspell --no-warnings-as-errors

# creating the debug info RPM uses objcopy that needs the files to be writeable.
if [ -e %{buildroot}/usr/bin/bemacs_server ]
then
    chmod +w %{buildroot}/usr/bin/bemacs
    chmod +w %{buildroot}/usr/bin/bemacs_server
    chmod +w %{buildroot}/usr/lib/bemacs/_bemacs.so
fi
chmod +w %{buildroot}/usr/bin/bemacs-cli

mkdir -p %{buildroot}%{_mandir}/man1
gzip -c ${BUILDER_TOP_DIR}/Kits/Linux/bemacs.1 > %{buildroot}%{_mandir}/man1/bemacs.1.gz

mkdir -p %{buildroot}/usr/share/applications
cp ${BUILDER_TOP_DIR}/Kits/Linux/bemacs.desktop %{buildroot}/usr/share/applications


%description
Barry's Emacs
* Easy to get started with Emacs
* Uses original MockLisp extension language
* UI implemented using Python3 and PyQt

Built from e1926b82fdb450bf9b2c6ff3ec69c4f0fed72a24

%package gui
Summary: Barry's Emacs GUI version
Group: Applications/Editors
Requires: bemacs-common = %{version}-%{release}
Requires: mozilla-fira-mono-fonts
Requires: python36
Requires: python36-qt5

%description gui
Barry's Emacs
* Easy to get started with Emacs
* Uses original MockLisp extension language
* UI implemented using Python3 and PyQt

Built from e1926b82fdb450bf9b2c6ff3ec69c4f0fed72a24

%package cli
Summary: Barry's Emacs CLI version
Group: Applications/Editors
Requires: bemacs-common = %{version}-%{release}

%description cli
Barry's Emacs
* Easy to get start with Emacs
* Uses original MockLisp extension language
* Command line version for terminal

Built from e1926b82fdb450bf9b2c6ff3ec69c4f0fed72a24

%package common
Summary: Barry's Emacs common files
Group: Applications/Editors

%description common
Barry's Emacs common files used by
bemacs-gui and bemacs-cli

%files

%files gui
%defattr(-, root, root, -)
/usr/bin/bemacs
/usr/bin/bemacs_server
/usr/lib/bemacs/*.py
/usr/lib/bemacs/_bemacs.so
/usr/lib/bemacs/__pycache__/*
/usr/share/applications/bemacs.desktop

%files cli
%defattr(-, root, root, -)
/usr/bin/bemacs-cli

%files common
%defattr(-, root, root, -)
/usr/share/bemacs/doc/*
/usr/lib/bemacs/*.db
/usr/lib/bemacs/*.ml
/usr/share/applications/bemacs.desktop
%attr(0644,root,root) %{_mandir}/man1/bemacs.1.gz

%changelog
* Sun Feb 21 2021 Barry Scott <barry@barrys-emacs.org> - 8.8.0-1
- Specfile create by package_bemacs.py
